LibreOffice LibreOffice 6.1 SDK API Reference

Modules | Variables
ImageDrawMode.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::ImageDrawMode
| defines modes how an image is drawn onto a device

## Variables
const short | NONE = 0x0000
| the image is drawn as is, without any color transformation. More...
const short | DISABLE = 0x0001
| the image is drawn as if it represented a feature whose state is disabled. More...
const short | HIGHLIGHT = 0x0002
| the image is drawn as being highlighted. More...
const short | DEACTIVE = 0x0004
| the image is drawn as being deactivated. More...
const short | SEMITRANSPARENT = 0x0010
| the image is drawn semi-transparent. More...